curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/download/user/video \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/download/user/video"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/download/user/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemList": [
{
"id": "7558098574555254046",
"desc": "Pledge allegiance to your 👐 your 🏈 your viiiiiiiibes",
"play": "https://v16e.tiktokcdn.com/45d0ed2b831d82765153a0bf773c0642/69b63d1f/video/tos/maliva/tos-maliva-ve-0068c799-us/oIDknVfUIBL4lQE3ufRHEd1EmKlC8AIHgwADFo/?a=1340&bti=M0BzbGRxbGRoamRobDFybndmKTc6OWYucCNtXGxxZG9kK3FpaHFmOmQ0NDA6&&bt=893&ft=arF-Lqq3mbuPD12zPV.s3wUWtwalaeF~O5&mime_type=video_mp4&rc=Ojk4N2UzZGc5OjQ6ODdnZUBpajdkM3Q5cjh2NjMzaTczNEAvYS9jLjUwXjYxYjNhMzUvYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=20260314130103C551A75BACBBF42A59CB&btag=e000b8000",
"images": [],
"cover": "https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oMBVk7RErrCPtlrI5DiiyJja6lI6P4OABBADw~tplv-tiktokx-cropcenter-q:300:400:q72.jpeg?dr=16276&refresh_token=0c57284e&x-expires=1773550800&x-signature=7jXPQGUIAfpmvhqtZxAN9joqWGw%3D&t=5872c671&ps=933b5bde&shp=d05b14bd&shcp=ede7c6fc&idc=my2&biz_tag=tt_video&s=PUBLISH&sc=cover",
"stats": {
"collect_count": 276831,
"comment_count": 50721,
"digg_count": 5728783,
"download_count": 50285,
"forward_count": 0,
"play_count": 74219538,
"repost_count": 475308,
"share_count": 154490
},
"create_time": 1759756985
}
],
"hasMore": true,
"minCursor": 1770959608000,
"maxCursor": 1759151497000
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Download All User Videos
Download All User Videos
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
User secUid
"MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6"
minCursor parameter is used for pagination. In the first request, the default value of minCursor is 0. For subsequent requests, the value of minCursor will be taken from the response of the previous request. Both minCursor and maxCursor must be provided to paginate in the next request.
0
maxCursor parameter is used for pagination. In the first request, the default value of maxCursor is 0. For subsequent requests, the value of maxCursor will be taken from the response of the previous request. Both minCursor and maxCursor must be provided to paginate in the next request.
0
Response
Success
Show child attributes
Show child attributes
Indicates whether there are more data available to fetch
true
minCursor parameter is used for pagination in the next request
1770959608000
maxCursor parameter is used for pagination in the next request
1759151497000
Was this page helpful?

